<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
ini_set('memory_limit', '-1');
class ClienteC extends CI_Controller
{
	public function __construct()
	{
		parent::__construct();
		//cargar la libreria de sesión
		$this->load->model('clientes/cosmetologo/clienteC_model');
		$this->load->library(array('session','form_validation'));
		$this->load->helper(array('url'));
		 
	}

	public function index()
	{ 
	//muestra la pagian principal del módulco clientes (lista de clientes()
		if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '1'|| 
			$this->session->userdata('Rol_IdRol') == '2')
		{
			redirect(base_url().'acceso/acceso');
		} else {
    	$data['Franquicias']=$this->clienteC_model->BuscarFranquicia(); 
		//  foreach ($data['Franquicias'] as $i => $Franquicias) 
		// $this->db->select('*');
		// $this->db->join('franquicias','Franquicias_IdFranquicias=IdFranquicias','inner');
		// $this->db->where('Franquicias_IdFranquicias',$i);
		// $this->db->order_by("NombreCliente","asc");
		// $data['consulta']=$this->db->get('clientes')->result(); //acceder a todos los cliente de la bd
		$this->load->view('layout/headerCos');
		$this->load->view('layout/menuCosmetologo');
		$this->load->view('clientes/cosmetologo/listaclienteC_view',$data);
		$this->load->view('layout/footer');
		}
	}

	public function agregar()
	{ //función para agregar un nuevo cliente
		if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '1'|| 
			$this->session->userdata('Rol_IdRol') == '2')
		{
			redirect(base_url().'acceso/acceso');
		} else {
		$this->load->view('layout/headerCos');
		$this->load->view('layout/menuCosmetologo');
		$datos['ReCliente']=$this->clienteC_model->BuscarCliente();
		$datos['ReFranquicia']=$this->clienteC_model->BuscarFranquicia(); //muestra los nombres de todas las franquicias en una lista desplegable
		$this->load->view('clientes/cosmetologo/agregarclienteC_view',$datos);
		$this->load->view('layout/footer');
		}
	}

	public function guardar()
	{ //permite guardar todos los datos que fueron capturados en la vista y posteriormente pasarlos al modelo para poder guaradr los datos en la bd
		
		$data['Franquicias']=$this->clienteC_model->BuscarFranquicia();
		foreach ($data['Franquicias'] as $i => $Franquicias) 
			
$IdUsuarioLog = $this->session->userdata('IdUsuarios');

		$parametro['IdClientes']= $this->input->post('txt_idcliente');
		$parametro['NombreCliente']=trim($this->input->post('txt_nombrecliente'))." ".$parametro['ApellidoPaterno']=trim($this->input->post('txt_apaterno'))." ".$parametro['ApellidoMaterno']=trim($this->input->post('txt_amaterno'));
		$parametro['FechaNacimientoCliente']= date("Y-m-d", strtotime($this->input->post('txt_fechanac')));
		$parametro['TelefonoCliente']= $this->input->post('txt_TelefonoCliente');
		$parametro['CelularCliente']= $this->input->post('txt_CelularCliente');
		$parametro['CorreoCliente']= $this->input->post('txt_CorreoCliente');
		$parametro['DireccionCliente']= $this->input->post('txt_DireccionCliente');
		$parametro['EdadCliente']= $this->input->post('txt_EdadCliente');
		$parametro['SexoCliente']= $this->input->post('txt_SexoCliente');
		$parametro['EstadoCivil']= $this->input->post('txt_estadociv');
		$parametro['Ocupacion']= $this->input->post('txt_ocupacion');
		$parametro['MedioInformacion']= $this->input->post('txt_medio');
		$parametro['RecomendadoPor']= $this->input->post('txt_recomendado');
		$parametro['Franquicias_IdFranquicias']= $i;
		$parametro['usuarios_idUsuario']= $IdUsuarioLog;
		$parametro['Autoriza']= $this->input->post('Autoriza');
	

		$this->clienteC_model->guardar($parametro); // pasa toso los parametros al modelo correspondiente para poder guardar en la bd
	}


	// public function eliminar() 
	// { //permite eliminar un cliente por medio de la variable $id
	// 	 $id= $this->uri->segment(5); //esta variable es obtenida por el segmento 5 de la url
	// 	 $this->clienteC_model->eliminar($id); //se conecta con el modelo para realizar un delete del cliente seleccionado
	// }

	public function editar()
	{ // permite editar los datos del cliente por medio de su id que es obtenido del segmento 5 de la url
		$idVC= $this->uri->segment(5);
		$res = $this->clienteC_model->BuscarClientesFranquicias($idVC);

		if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '1'|| 
			$this->session->userdata('Rol_IdRol') == '2'|| $res == "0" || $res == "FALSE")
		{
			redirect(base_url().'acceso/acceso');
		} else {
		$id= $this->uri->segment(5); //esta variable es el id de cliente
		$obtenerenlace = $this->clienteC_model->obtenerenlace($id); //esta funcion permite obtener el id del cliente por y mandarlo a la url
		if($obtenerenlace != FALSE){
			foreach ($obtenerenlace->result() as $fila) {
				$IdClientes = $fila->IdClientes;
				$NombreCliente=$fila->NombreCliente;
				$FechaNacimientoCliente=$fila->FechaNacimientoCliente;
				$TelefonoCliente = $fila->TelefonoCliente;
				$CelularCliente=$fila->CelularCliente;
				$CorreoCliente=$fila->CorreoCliente;
				$DireccionCliente = $fila->DireccionCliente;
				$EdadCliente=$fila->EdadCliente;
				$SexoCliente=$fila->SexoCliente;
				$EstadoCivil = $fila->EstadoCivil;
				$Ocupacion=$fila->Ocupacion;
				$MedioInformacion=$fila->MedioInformacion;
				$RecomendadoPor = $fila->RecomendadoPor;
				$Franquicias_IdFranquicias=$fila->Franquicias_IdFranquicias;
				$Autoriza=$fila->Autoriza;
				$RutaFirmaDigital=$fila->RutaFirmaDigital;
				$RutaUltimaFirmaModificada=$fila->RutaUltimaFirmaModificada;
			}
			$data = array(
				'IdClientes' => $IdClientes,
				'NombreCliente' => $NombreCliente,
				'FechaNacimientoCliente' => $FechaNacimientoCliente,
				'TelefonoCliente' => $TelefonoCliente,
				'CelularCliente' => $CelularCliente,
				'CorreoCliente' => $CorreoCliente,
				'DireccionCliente' => $DireccionCliente,
				'EdadCliente' => $EdadCliente,
				'SexoCliente' => $SexoCliente,
				'EstadoCivil' => $EstadoCivil,
				'Ocupacion' => $Ocupacion,
				'MedioInformacion' => $MedioInformacion,
				'RecomendadoPor' => $RecomendadoPor,
				'Autoriza' => $Autoriza,
				'RutaFirmaDigital' => $RutaFirmaDigital,
				'RutaUltimaFirmaModificada' => $RutaUltimaFirmaModificada,
				'Franquicias_IdFranquicias' => $Franquicias_IdFranquicias);
			}else{
				$data ='';
				return FALSE;
		}
		$expediente=$this->clienteC_model->BuscarExpediente($id);
		if($expediente=="1") 
		{
		$menu= '
				<center>
				<ul class="breadcrumb menu">
				  <li><a  href="'.base_url().'myagenda/franquiciatario/listacitasF/Myagenda/'.$IdClientes.'"> Agendar</a><span class="divider color-span"></span></li>
				  <li><a href="'.base_url().'caja/Cosmetologo/cajaC/enviaDatos/'.$IdClientes.'">Vender</a> <span class="divider"></span></li>
				  <!-- <li>
					<a href="'.base_url().'expediente/cosmetologo/expedienteC/editarE/'.$IdClientes.'">Expediente</a> <span class="divider"></span>
				  </li> -->
				  <li class="dropdown">
					  <a class="dropdown-toggle" data-toggle="dropdown" href="#">Expediente
					  <span class="caret"></span></a>
					  <ul class="dropdown-menu submenu" id="submenu">
						<li><a href="'.base_url().'expediente/cosmetologo/expedienteC/editarE/'.$IdClientes.'"   class="dirigidor">Expediente</a></li>
						<li><a href="'.base_url().'expediente/cosmetologo/expedienteC/Corporal/'.$IdClientes.'"  class="dirigidor">Historico Corporal</a></li>
						<li><a href="'.base_url().'expediente/cosmetologo/expedienteC/EELigth/'.$IdClientes.'"   class="dirigidor">Histórico E-Ligth</a></li>
						<li><a href="'.base_url().'expediente/cosmetologo/expedienteC/EFacial/'.$IdClientes.'"   class="dirigidor">Histórico Facial</a></li>
						<li><a href="'.base_url().'expediente/cosmetologo/expedienteC/EPestanas/'.$IdClientes.'" class="dirigidor">Histórico E.Pestañas</a></li>
						<li><a href="'.base_url().'expediente/cosmetologo/expedienteC/Relajante/'.$IdClientes.'" class="dirigidor">Histórico Relajante</a></li>
						<li><a href="'.base_url().'expediente/cosmetologo/ExpedienteC/Nutricional/'.$IdClientes.'" class="dirigidor">Histórico Nutricional</a></li>
					  </ul>
					</li>
				  <li><a href="'.base_url().'clientes/cosmetologo/clienteC/historicoCitas/'.$IdClientes.'">Histórico de citas</a><span class="divider"></span></li>
				  <li><a href="'.base_url().'clientes/cosmetologo/clienteC/historico/'.$IdClientes.'"> Histórico de compras</a><span class="divider"></span></li>
				  <li><a href="'.base_url().'clientes/cosmetologo/clienteC/MisCertificados/'.$IdClientes.'"> Mis certificados </a><span class="divider"></span></li>
				</ul>
				</center>';
		}else{
		$menu= '<center>
		<ul class="breadcrumb menu">
		  <li><a  href="'.base_url().'myagenda/franquiciatario/listacitasF/Myagenda/'.$IdClientes.'"> Agendar</a><span class="divider color-span"></span></li>
		  <li><a href="'.base_url().'caja/Cosmetologo/cajaC/enviaDatos/'.$IdClientes.'">Vender</a> <span class="divider"></span></li>
		  <li><a href="'.base_url().'expediente/cosmetologo/expedienteC/editarE/'.$IdClientes.'">Expediente</a> <span class="divider"></span></li>
		  <li><a href="'.base_url().'expediente/cosmetologo/expedienteC/EPestanas/'.$IdClientes.'">Histórico E.Pestañas</a> <span class="divider"></span></li>
		  <li><a href="'.base_url().'expediente/cosmetologo/expedienteC/Nutricional/'.$IdClientes.'">Histórico Nutricional</a> <span class="divider"></span></li>
		  <li><a href="'.base_url().'clientes/cosmetologo/clienteC/historicoCitas/'.$IdClientes.'">Histórico de citas</a><span class="divider"></span></li>
		  <li><a href="'.base_url().'clientes/cosmetologo/clienteC/historico/'.$IdClientes.'"> Histórico de compras</a><span class="divider"></span></li>
		  <li><a href="'.base_url().'clientes/cosmetologo/clienteC/MisCertificados/'.$IdClientes.'"> Mis certificados </a><span class="divider"></span></li>
		</ul>
		</center>';
		}

		$this->db->select('Idexpediente, FechaModificacion');
		$this->db->from('expediente');
		$this->db->where('Idexpediente',$id);
		$res=$this->db->get();
		if($res->num_rows() >0){
			foreach ($res->result() as $valor) 
				$FechaModificacion = $valor->FechaModificacion;

			date_default_timezone_set('America/Mexico_City');

			$dt_elMesPasado = date('Y-m-d', strtotime('-1 month'))." 00:00:00" ; // resta 1 mes

			if($FechaModificacion < $dt_elMesPasado){
				$data['actualizacion'] = "DebeModificar";
			}else{
				$data['actualizacion'] = "";
			}

			$data['Expediente']="Existe";

		}else{
			$data['actualizacion']="";
			$data['Expediente']="NoExiste";
		}

		
		$data['ReFranquicia']=$this->clienteC_model->BuscarFranquicia();
	foreach ($data['ReFranquicia'] as $i => $Franquicias) 
		$data['ReCliente']=$this->clienteC_model->BuscarClienteExcepto($id);
		$data['ReUsuarioC']=$this->clienteC_model->BuscarUsuarioC($i);
		$data['menu']=$menu;
		$this->load->view('layout/headerCos');
		$this->load->view('layout/menuCosmetologo');
		$this->load->view('clientes/cosmetologo/editarclienteC_view', $data); //manda en un arreglo todos los datos del cliente a la vista para poder editarlos
		$this->load->view('layout/footer');
		}
	}

	public function editarenlace () 
	//esta funcion permite editar los datos del cliente y mandarlos al modelo para que puedan ser guardados en la bd
	{
		if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '1'|| 
			$this->session->userdata('Rol_IdRol') == '2')
		{
			redirect(base_url().'acceso/acceso');
		} else {
		$data['Franquicias']=$this->clienteC_model->BuscarFranquicia();
		foreach ($data['Franquicias'] as $i => $Franquicias) 
		$IdClientes= $this -> uri->segment(5);
		// $data=array(
			// $data['IdClientes'] => $IdClientes;
			$data['NombreCliente'] = $this->input->post('NombreCliente');
			$data['FechaNacimientoCliente'] = date("Y-m-d", strtotime($this->input->post('FechaNacimientoCliente')));
			$data['TelefonoCliente'] = $this->input->post('TelefonoCliente');
			$data['CelularCliente'] = $this->input->post('CelularCliente');
			$data['CorreoCliente'] = $this->input->post('CorreoCliente');
			$data['DireccionCliente'] = $this->input->post('DireccionCliente');
			$data['EdadCliente'] = $this->input->post('EdadCliente');
			$data['SexoCliente'] = $this->input->post('SexoCliente');
			$data['EstadoCivil'] = $this->input->post('EstadoCivil');
			$data['Ocupacion'] = $this->input->post('Ocupacion');
			$data['MedioInformacion'] = $this->input->post('MedioInformacion');
			$data['RecomendadoPor'] = $this->input->post('RecomendadoPor');
			$data['Autoriza'] = $this->input->post('Autoriza');
			$data['Franquicias_IdFranquicias'] = $i;
			$data['RutaFirmaDigital'] = $this->input->post('base64');
			$data['UsuarioModificacion'] = $this->input->post('usuario');
			// );
		$this->clienteC_model->editarenlace($IdClientes, $data);
		}
	}


	public function historico() 
	{
		$idVC= $this->uri->segment(5);
		$res = $this->clienteC_model->BuscarClientesFranquicias($idVC);

		if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '1'|| 
			$this->session->userdata('Rol_IdRol') == '2' || $res == "0" || $res == "FALSE")
		{
			redirect(base_url().'acceso/acceso');
		} else {
		$IdClientes= $this -> uri->segment(5);
		
		$data['Franquicias']=$this->clienteC_model->BuscarFranquicia();
		foreach ($data['Franquicias'] as $i => $Franquicias) 
		$this->db->select('*');
		$this->db->from(' ventas_has_productosfranquicias');
		$this->db->join('productosfranquicias','productosfranquicias_IdProductosFranquicias = IdProductosFranquicias','inner');
		$this->db->join('productosgenerales','ProductosGenerales_IdProductosGenerales = 	IdProductosGenerales','inner');
		$this->db->join('ventas','ventas_IdVentas = IdVentas','inner');
		$this->db->where('EstatusV', 'ACTIVA');
		$this->db->where('ventas.franquicias_IdFranquicias',$i);
		$this->db->where('IdCliente', $IdClientes);
		$this->db->order_by("FechaVenta","desc");
		$data['consulta1']=$this->db->get()->result();

//........................................................
		$this->db->select('*');
		$this->db->from(' ventas_has_serviciosfranquicias');
	    $this->db->join('ventas','ventas_IdVentas = IdVentas','inner');
	    $this->db->join('franquicias','franquicias_IdFranquicias = IdFranquicias','inner');
		$this->db->join('serviciosfranquicias','ServiciosFranquicias_IdServiciosFranquicias = IdServiciosFranquicias','inner');
		$this->db->join('serviciosgenerales','ServiciosGenerales_IdServiciosGenerales = IdServiciosGenerales','inner');
		$this->db->where('EstatusV', 'ACTIVA');
		$this->db->where('IdFranquicias',$i);
		$this->db->where('IdCliente', $IdClientes);
		$this->db->order_by("FechaVenta","desc");
		$data['consulta2']=$this->db->get()->result();
//.........................................................
		$this->db->select('*');
		$this->db->from(' ventas_has_serviciosfranquicias');
	    $this->db->join('ventas','ventas_IdVentas = IdVentas','inner');
		$this->db->join('serviciosgenerales','ServiciosFranquicias_IdServiciosFranquicias = Codigo_Servicios','inner');
		$this->db->where('EstatusV', 'ACTIVA');
		$this->db->where('ventas.franquicias_IdFranquicias',$i);
		$this->db->where('IdCliente', $IdClientes);
		$this->db->order_by("FechaVenta","desc");
		$data['consulta3']=$this->db->get()->result();
//.........................................................
		$this->db->select('*');
		$this->db->from('ventas_has_promociones');
		$this->db->join('promociones','IdPromociones = promociones_IdPromociones','inner');
		$this->db->join('ventas','ventas_IdVentas = IdVentas','inner');
		$this->db->where('EstatusV', 'ACTIVA');
		$this->db->where('ventas.franquicias_IdFranquicias', $i);
		$this->db->where('IdCliente', $IdClientes);
		$this->db->order_by("FechaVenta","desc");
		$data['consulta4']=$this->db->get()->result();
		$data['ReNombre']=$this->clienteC_model->obtenerNombre($IdClientes);
		$data['datosFranquiciaTicket'] = $this->clienteC_model->BuscarDatosFranquicia();
		$this->load->view('layout/headerCos');
		$this->load->view('layout/menuCosmetologo');
		$this->load->view('clientes/cosmetologo/historicoclienteC_view', $data);
		$this->load->view('layout/footer');
		}
	}
	public function historicoCitas() 
	{
		$idVC= $this->uri->segment(5);
		$res = $this->clienteC_model->BuscarClientesFranquicias($idVC);

		if($this->session->userdata('Rol_IdRol')==FALSE || 
		$this->session->userdata('Rol_IdRol') == '1'|| 
		$this->session->userdata('Rol_IdRol') == '2'|| $res == "0" || $res == "FALSE")
		{
			redirect(base_url().'acceso/acceso');
		} else {
		$IdClientes= $this -> uri->segment(5);
		
		$data['Franquicias']=$this->clienteC_model->BuscarFranquicia();
		foreach ($data['Franquicias'] as $i => $Franquicias) 
		$this->db->select('*');
		$this->db->from('agenda');
		

	
		$this->db->join('estatuscitas','estatuscitas_IdEstatusCita = IdEstatusCita','inner');	
	    $this->db->join('categoria','agenda.Categoria_IdCategoria = IdCategoria','inner');
	    $this->db->join('cabina','Cabina_IdCabina = IdCabina','inner');
		$this->db->where('agenda.Franquicias_IdFranquicias',$i);
		$this->db->where('Clientes_IdClientes', $IdClientes);
		$this->db->order_by("Fecha","desc");
		$data['consulta1']=$this->db->get()->result();
    	$data['consulta2']=$this->clienteC_model->BuscarServiciosFranquicia();
    	$data['consulta3']=$this->clienteC_model->BuscarServiciosGenerales();
    	$data['consulta4']=$this->clienteC_model->Buscarpromociones();  
		$data['ReNombre']=$this->clienteC_model->obtenerNombre($IdClientes);
		$this->load->view('layout/headerCos');
		$this->load->view('layout/menuCosmetologo');
		$this->load->view('clientes/cosmetologo/historicoCitasC_view', $data);
		$this->load->view('layout/footer');
		}
	}
	//con esta función se mustran los nombres de las franquicias en una lista
	public function MostrarFranquicia()
	{ 
		if($this->input->post('IdFranquicias')){
			$IdFranquicias=$this->input->post('franquicias');
			$NombreFranquicia=$this->clienteC_model->BuscarFranquicia($IdFranquicias);
			foreach ($NombreFranquicia as $fila) {
				?>
                <option value="<?php echo $fila->id ?>"><?php echo $franquicia_name ?></option>
                <?php
			}
		}

	}

	
	public function MostrarFranq()
	{
		$options ="";
		if($this->input->post('IdFranquicias')){
			$IdFranquicias=$this->input->post('franquicias');
			$NombreFranquicia=$this->accionesfranquiciaC_model->BuscarFranq($IdFranquicias);
			foreach ($NombreFranquicia as $fila) {
				?>
                <option value="<?php echo $fila->id ?>"><?php echo $franquicia_name ?></option>
                <?php
			}
		}
	}
	public function clientes()
	{
		$this->clienteC_model->todosClientes();
	}

public function MisCertificados() 
	{
		$idVC= $this->uri->segment(5);
		$res = $this->clienteC_model->BuscarClientesFranquicias($idVC);
		
		if($this->session->userdata('Rol_IdRol')==FALSE || 
		$this->session->userdata('Rol_IdRol') == '1'|| 
		$this->session->userdata('Rol_IdRol') == '2'|| $res == "0" || $res == "FALSE")
		{
			redirect(base_url().'acceso/acceso');
		} else {
		$IdClientes= $this -> uri->segment(5);
		
		$data['Franquicias']=$this->clienteC_model->BuscarFranquicia();
		foreach ($data['Franquicias'] as $i => $Franquicias) 

		$ReNombre=$this->clienteC_model->obtenerNombre($IdClientes);	
		foreach ($ReNombre as $i => $Nombre)
		$data['ReNombre'] = $Nombre;
		$data['IdClientes'] = $IdClientes;

		$this->load->view('layout/headerCos');
		$this->load->view('layout/menuCosmetologo');
		$this->load->view('clientes/cosmetologo/MisCertificados_view', $data);
		$this->load->view('layout/footer');
		}
	}

////////////////////////////////////////////////////// funcion donde se muestra la lista de los certificados adquiridos por el cliente y si ya fueron asignado o no /////////////////
public function listaCertificados(){
	if($this->session->userdata('Rol_IdRol')==FALSE || 
		$this->session->userdata('Rol_IdRol') == '1'|| 
		$this->session->userdata('Rol_IdRol') == '2')
	{
		redirect(base_url().'acceso/acceso');
	} else {
		$IdCliente = $this->input->post('IdCliente');

		$query = $this->clienteC_model->serviciosGeneralesCertificados($IdCliente);
		$query3 = $this->clienteC_model->serviciosFranquiciasCertificados($IdCliente);		
		$query2 = $this->clienteC_model->promocionesCertificados($IdCliente);


		if($query->num_rows() >0 || $query2->num_rows() >0 || $query3->num_rows() >0){

//////////////////////////////////// servicios generales //////////////////////////////////////////////////////////////////////////
			foreach ($query->result() as $value){

					$IdVentasServicios = $value->IdVentasServicios;
					$IDServicio = $value->serviciosfranquicias_IdServiciosFranquicias;
					$NombreServicio = $value->NombreServicio;
					$FolioC = $value->FolioC;
					$NomPersonaCertificado = $value->NombreCertificadoS;
					$FechaCompra = $value->FechaVenta;
					$StatusCertificado = $value->StatusCertificado;
					$VerificacionCertificado = $value->VerificacionCertificado;
					$tipoServicio = "servicio";


    				$NumSesionesGeneral = $value->SesionesServicio;
    				$NumSesionesDetalleVenta = $value->SesionesS;
    				$NumSesionesTotal = $NumSesionesGeneral * $NumSesionesDetalleVenta;
    				$categoria = $value->Categoria_IdCategoria;

					if($value->StatusCertificado == null){
						$BotonStatus = "<button type='button' class='asignar' value='".$NomPersonaCertificado."///".$IDServicio."///".$tipoServicio."///".$IdVentasServicios."///".$NombreServicio."'>Asignar</button>";
					}else if($value->StatusCertificado == 'ASIGNADO'){
						$BotonStatus = "<button type='button' class='ir_Expediente' value='".$VerificacionCertificado."'>Ir a expediente</button>";
					}else if($value->StatusCertificado == 'CONCLUIDO'){
						$BotonStatus = "";
					}

					$beneficiarioFinal = "";
					if($VerificacionCertificado == null){
						$beneficiarioFinal = "";
					}else{
						$beneficiarioFinal = $this->clienteC_model->BuscarIDCliente($VerificacionCertificado);
					}

					$data[] = array(
						$colum1 = $FechaCompra,
						$colum2 = $FolioC,
						$colum3 = $NomPersonaCertificado,
						$colum4 = $VerificacionCertificado." - ".$beneficiarioFinal,
						$colum5 = $NombreServicio,
						$colum6 = $StatusCertificado,
						$colum7 = $BotonStatus,
					);

				}
//////////////////////////////////// servicios franquicias  //////////////////////////////////////////////////////////////////////////
			foreach ($query3->result() as $value){
					$IdVentasServicios = $value->IdVentasServicios;
					$IDServicio = $value->serviciosfranquicias_IdServiciosFranquicias;
					$NombreServicio = $value->NombreServicio;
					$FolioC = $value->FolioC;
					$NomPersonaCertificado = $value->NombreCertificadoS;
					$FechaCompra = $value->FechaVenta;
					$StatusCertificado = $value->StatusCertificado;
					$VerificacionCertificado = $value->VerificacionCertificado;
					$tipoServicio = "servicio";

					if($value->StatusCertificado == null){
						$BotonStatus = "<button type='button' class='asignar' value='".$NomPersonaCertificado."///".$IDServicio."///".$tipoServicio."///".$IdVentasServicios."///".$NombreServicio."'>Asignar</button>";
					}else if($value->StatusCertificado == 'ASIGNADO'){
						$BotonStatus = "<button type='button' class='ir_Expediente' value='".$VerificacionCertificado."'>Ir a expediente</button>";
					}else if($value->StatusCertificado == 'CONCLUIDO'){
						$BotonStatus = "";
					}

					$beneficiarioFinal = "";
					if($VerificacionCertificado == null){
						$beneficiarioFinal = "";
					}else{
						$beneficiarioFinal = $this->clienteC_model->BuscarIDCliente($VerificacionCertificado);
					}



			$data[] = array(
						$colum1 = $FechaCompra,
						$colum2 = $FolioC,
						$colum3 = $NomPersonaCertificado,
						$colum4 = $VerificacionCertificado." - ".$beneficiarioFinal,
						$colum5 = $NombreServicio,
						$colum6 = $StatusCertificado,
						$colum7 = $BotonStatus,
					);
			}
//////////////////////////////////// promociones  //////////////////////////////////////////////////////////////////////////
			foreach ($query2->result() as $value){
				$IdVentasPromociones = $value->IdVentasPromociones;
					$IDServicio = $value->promociones_IdPromociones;
					$NombreServicio = $value->NombrePromocion;
					$FolioPr = $value->FolioPr;
					$NomPersonaCertificado = $value->NombreCertificadoPr;
					$FechaCompra = $value->FechaVenta;
					$StatusCertificado = $value->StatusCertificado;
					$VerificacionCertificado = $value->VerificacionCertificado;
					$tipoServicio = "promocion";

					if($value->StatusCertificado == null){
						$BotonStatus = "<button type='button' class='asignar' value='".$NomPersonaCertificado."///".$IDServicio."///".$tipoServicio."///".$IdVentasPromociones."///".$NombreServicio."'>Asignar</button>";
					}else if($value->StatusCertificado == 'ASIGNADO'){
						$BotonStatus = "<button type='button' class='ir_Expediente' value='".$VerificacionCertificado."'>Ir a expediente</button>";
					}else if($value->StatusCertificado == 'CONCLUIDO'){
						$BotonStatus = "";
					}

					$beneficiarioFinal = "";
					if($VerificacionCertificado == null){
						$beneficiarioFinal = "";
					}else{
						$beneficiarioFinal = $this->clienteC_model->BuscarIDCliente($VerificacionCertificado);
					}

			$data[] = array(
						$colum1 = $FechaCompra,
						$colum2 = $FolioPr,
						$colum3 = $NomPersonaCertificado,
						$colum4 = $VerificacionCertificado." - ".$beneficiarioFinal,
						$colum5 = $NombreServicio,
						$colum6 = $StatusCertificado,
						$colum7 = $BotonStatus,
					);
			}

			echo json_encode($data);
		}else{
			echo json_encode(null);
		}

			
	}
}

public function buscarSimilitudesCliente(){
	$Franquicias=$this->clienteC_model->BuscarFranquicia();
		foreach ($Franquicias as $i => $Franq) 

	$nombre = $this->input->post('nombre');
	$query = $this->db->query("SELECT * FROM clientes WHERE clientes.Franquicias_IdFranquicias = '$i' && clientes.NombreCliente = '$nombre'");
	$arreglo ="";
	$respuesta ="";
	
	if ($query->num_rows() == 1) { 
		foreach($query->result() as $row) 
		$arreglo = $row->IdClientes;

	$respuesta = "1///".$arreglo;

	}else{
		if($query->num_rows() > 1) { 
        foreach($query->result() as $row) 
          $arreglo .= $row->IdClientes.",";

      	$respuesta = "2///".$arreglo;
            
        }else{
        	$respuesta = "0";
        }
			
		}

	echo $respuesta;	

}

public function buscarCliente(){
		$nombre=$_POST['nombre'];
		$this->clienteC_model->BuscarNombreCliente($nombre);
}

public function guardarCliente(){
		$data['Franquicias'] = $this->clienteC_model->BuscarFranquicia();
		foreach ($data['Franquicias'] as $i => $Franquicias)
		$campos = array(
							'NombreCliente' => $_POST['nombre'], 
							'CelularCliente' => $_POST['telefono'], 
							'Franquicias_IdFranquicias' => $i
						);
			$this->clienteC_model->guardarCliente($campos);
}

public function asignarCertificado(){
	$idDetalleVenta = $this->input->post('idDetalleVenta');
	$status = $this->input->post('status');
	$IDclienteSeleccionado = $this->input->post('IDclienteSeleccionado');
	$tipoVenta = $this->input->post('tipoVenta');

	$this->clienteC_model->asignarCertificado($tipoVenta, $idDetalleVenta, $status, $IDclienteSeleccionado);

}



}
